//==========================================================================
// File: compass.h
// Description: An implementation of compass routing
// Author: Pat Morin
// Created: Wed Jan 20 20:13:58 EST 1999
//==========================================================================
#ifndef __COMPASS_H
#define __COMPASS_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_matrix.h>

//==========================================================================
// Find the compass routing path between all pairs of vertices in G.
// Complexity: O(n^2)
//========================================================================
void ALL_PAIRS_COMPASS_PATHS(graph &G, node_array<point>& pos, 
			     node_matrix<double>& dist);

//==========================================================================
// Find the compass routing path from all vertices of G to t
// Complexity: O(n)
//========================================================================
void COMPASS_PATH(graph &G, node t, node_array<point> &pos, 
		  node_array<double> &dist, node_array<edge> &pred);

#endif __COMPASS_H




