//==========================================================================
// File: rhr.c
// Description: An implementation of randomized compass routing
// Author: Pat Morin
// Created: Wed Jan 20 20:13:58 EST 1999
//==========================================================================
#ifndef __RCOMPASS_H
#define __RCOMPASS_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_matrix.h>

//==========================================================================
// Find a randomized compas routing path between all pairs of vertices
// in G.
// Complexity: unbounded, probably O(n^3) expected if G is a triangulation
// Precondition:
// G admits randomized compass routing
//========================================================================
void ALL_PAIRS_RANDOMIZED_COMPASS_PATHS(graph &G, node_array<point>& pos, 
			    node_matrix<double>& dist);

#endif __RCOMPASS_H



